Bug 199876 - %{LIBBIND} incorrect conditionalized
%{LIBBIND} incorrect conditionalized
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-23 16:05 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 9.3.2-34
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 14:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-07-23 16:05:03 EDT
Description of problem:
%{LIBBIND} in the bind spec file is incorrect conditionalized.

Version-Release number of selected component (if applicable):
bind-9.3.2-32

How reproducible:
Everytime, set LIBBIND to 0 and try to rebuild the bind package.

Expected results:
--- bind.spec       2006-07-21 22:36:45.000000000 +0200
+++ bind.spec.rsc   2006-07-23 22:02:51.000000000 +0200
@@ -609,7 +609,9 @@
 %{_libdir}/libisccc.a
 %{_libdir}/libisccfg.a
 %{_libdir}/liblwres.a
+%if %{LIBBIND}
 %exclude %{_libdir}/libbind.so
+%endif
 %{_libdir}/*so
 %{_includedir}/bind9
 %{_includedir}/dns
Comment 1 Jason Vas Dias 2006-07-24 11:57:29 EDT
Sorry about that. Now fixed with bind-9.3.2-34.fc6.
Comment 2 Robert Scheck 2006-08-02 14:39:20 EDT
Works, thank you. Closing now...

Note You need to log in before you can comment on or make changes to this bug.